Skip to main content
Alerting & Response/Alert Rules

GetAlertBuiltinRuleTemplates

List builtin alert rule templates for creating new rules

GET/api/v1/alerting/rules/builtin-templates

Operation ID

GetAlertBuiltinRuleTemplates

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of builtin alert rule templates

    Example: (nested array)

    • id
      String

      Template identifier

      Example: btmpl-001

    • name
      String

      Template display name

      Example: VM CPU Alert

    • description
      String

      Template description

      Example: Alert when VM CPU exceeds threshold

    • category
      String

      Category this template belongs to

      Example: infrastructure

    • resourceType
      String

      Resource type the template monitors

      Example: vm

    • metricName
      String

      Metric name in the template

      Example: cpu_usage_percent

    • operator
      String

      Default operator for the template

      Example: >

    • threshold
      Long

      Default threshold for the template

      Example: 90

    • duration
      Integer

      Default duration for the template

      Example: 300

    • severity
      String

      Default severity for the template

      Example: critical

    • impactScope
      String

      Impact scope for the template

      Example: cluster

  • total
    Integer

    Total number of templates

    Example: 15

  • limit
    Integer

    Maximum items per page

    Example: 20

  • offset
    Integer

    Offset from start of result set

    Example: 20